Mailinglist Archive: yast-devel (42 mails)

< Previous Next >
Re: [yast-devel] YaST:Head builds

On 12/2/19 14:41, Ladislav Slezak wrote:
Hi all,


There were some issues building the latest YaST packages in YaST:Head [1],
the problem is that TW (snapshot) uses Ruby 2.5 while Factory (standard)
uses Ruby 2.6 and there are some incompatible changes as the switch
is in the progress.

To fix the builds I tweaked the project config and hardcoded the correct Ruby
version
for the specific builds. I also retriggered all failed Jenkins jobs so
everything
should be fine now.


Thank you!



However, after the switch to Ruby 2.6 is done maybe my tweaks will not work
any more
and the builds become broken again. In that case either remove the project
config
hack or just ping me. ;-)



Ladislav


[1] https://build.opensuse.org/project/show/YaST:Head

--
David Díaz González
YaST Team at SUSE Linux GmbH


< Previous Next >
References